Bug 832260 - A Red Hat Storage server cannot mount an external kernel NFS volume without nolock option.
A Red Hat Storage server cannot mount an external kernel NFS volume without n...
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs (Show other bugs)
2.0
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Vinayaga Raman
Sudhir D
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 22:52 EDT by Keisuke TAKAHASHI
Modified: 2014-03-30 21:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-18 01:28:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Keisuke TAKAHASHI 2012-06-14 22:52:22 EDT
Description of problem:
When a Red Hat Storage server mounts a kernel NFS server without nolock option, an error displays. So in the case it always needs the option and NLM will be unavailable.


Version-Release number of selected component (if applicable):
Red Hat Storage 2.0 beta 2

How reproducible:
Error case:
mount -t nfs <IP ADDR>:<PATH/TO/EXPORT> <PATH/TO/MOUNT>
No error case:
mount -t nfs -o nolock <IP ADDR>:<PATH/TO/EXPORT> <PATH/TO/MOUNT>

Steps to Reproduce:
1.
2.
3.
  
Actual results:
mount.nfs: access denied by server while mounting <IP ADDR>:<PATH/TO/EXPORT>

Expected results:
No error.

Additional info:
I assume that GlusterFS holds nlockmgr RPC and it conflicts with mountd when the RHS server behaves as a kernel NFS client.
Comment 2 Krishna Srinivas 2012-06-15 03:24:21 EDT
Your reason under "Additional info" is close to the answer. What happens is - glusterfs-nfs starts runs nlm server and registers with portmapper for NLMv4, nfs client also starts NLM server (i.e lockd in the kernel) which fails resulting in this issue. Documentation team will document this behaviour.
Comment 4 Keisuke TAKAHASHI 2012-06-18 01:28:38 EDT
Hi Krishna,

Thank you for the information. I understand the mechanism and that it should be documented.
So, in a view of bugzilla, I would like to close this bug.

Thanks,
Keisuke Takahashi

Note You need to log in before you can comment on or make changes to this bug.